Global Payment
  1. Trade
Global Payment
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Core Functionality
    • create-developer-user
    • create on-ramp request
    • create off-ramp request
    • create on-ramp whit wusd
    • create-developer-user-with-simple-kyb
  • AppendixDocs
    • Business Industry
    • Supported document
    • Appendix
  • Api Reference
    • Authentication
      • Get Access Token
      • Refresh Access Token
    • User
      • Create User
      • submit Kyb V2
      • User Info
      • Simple Kyb Submit
    • Trade
      • Create Fee Config
        POST
      • Update Fee Config
        POST
      • Get Fee Config
        GET
      • Create Trade Request
        POST
      • Confirm Transaction
        POST
      • Get Transaction
        GET
      • Get Exchange Rate
        POST
    • Remit
      • Create Remit
      • Update Remit
      • remit info page
      • Get Remit Info
    • File
      • Upload File
    • Webhook
      • Event Page
      • Simulate a Event Call
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. Trade

Update Fee Config

POST
/trade/update-fee-config
API to update-fee-config

Request

Body Params application/json

Example
FieldTypeRequiredMax LengthDescription
requestIdStringY64A unique identifier for the request.
If the same request is sent again with the same requestId, it will be rejected to prevent duplicate processing.
beneficiaryNameStringY255
beneficiaryAddressStringY255
beneficiaryBankCountryStringY3
beneficiaryBankNameStringY255
beneficiaryAccountStringY255
currencyStringY
bankTypeStringY32"SWIFT"
beneficiaryBankSwiftCodeStringY11Pattern: [a-zA-Z0-9]
beneficiaryBankCityStringN255
beneficiaryBankAddressStringY255
isIntermediaryRequiredBooleanYIf the field is true, then the intermediary info is required
intermediaryBankCountryStringN3
intermediaryBankNameStringN255
intermediaryBankAccountStringN255
intermediaryBankSwiftCodeStringN11Pattern: [a-zA-Z0-9]
intermediaryBankCityStringN255
intermediaryBankAddressStringN255
{
    "id": 3,
    "clientId": 82,
    "feeType": "FIX_AMOUNT",
    "fixAmount": 1.5
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://openapi.dev.stablelink.app/trade/update-fee-config' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": 3,
    "clientId": 82,
    "feeType": "FIX_AMOUNT",
    "fixAmount": 1.5
}'

Responses

🟢200成功
application/json
Body

Example
{
    "retcode": 200,
    "retdata": {
        "clientId": 600000032,
        "feeType": 1,
        "fixAmount": 5.000
    },
    "success": true
}
Modified at 2025-12-26 06:28:38
Previous
Create Fee Config
Next
Get Fee Config
Built with